# -*- encoding: utf-8 -*-
# stub: hashie 2.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "hashie".freeze
  s.version = "2.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Bleigh".freeze, "Jerry Cheung".freeze]
  s.date = "2013-05-10"
  s.description = "Hashie is a small collection of tools that make hashes more powerful. Currently includes Mash (Mocking Hash) and Dash (Discrete Hash).".freeze
  s.email = ["michael@intridea.com".freeze, "jollyjerry@gmail.com".freeze]
  s.files = [".document".freeze, ".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE".freeze, "README.markdown".freeze, "Rakefile".freeze, "hashie.gemspec".freeze, "lib/hashie.rb".freeze, "lib/hashie/clash.rb".freeze, "lib/hashie/dash.rb".freeze, "lib/hashie/extensions/coercion.rb".freeze, "lib/hashie/extensions/deep_merge.rb".freeze, "lib/hashie/extensions/indifferent_access.rb".freeze, "lib/hashie/extensions/key_conversion.rb".freeze, "lib/hashie/extensions/merge_initializer.rb".freeze, "lib/hashie/extensions/method_access.rb".freeze, "lib/hashie/extensions/structure.rb".freeze, "lib/hashie/hash.rb".freeze, "lib/hashie/hash_extensions.rb".freeze, "lib/hashie/mash.rb".freeze, "lib/hashie/trash.rb".freeze, "lib/hashie/version.rb".freeze, "spec/hashie/clash_spec.rb".freeze, "spec/hashie/dash_spec.rb".freeze, "spec/hashie/extensions/coercion_spec.rb".freeze, "spec/hashie/extensions/deep_merge_spec.rb".freeze, "spec/hashie/extensions/indifferent_access_spec.rb".freeze, "spec/hashie/extensions/key_conversion_spec.rb".freeze, "spec/hashie/extensions/merge_initializer_spec.rb".freeze, "spec/hashie/extensions/method_access_spec.rb".freeze, "spec/hashie/hash_spec.rb".freeze, "spec/hashie/mash_spec.rb".freeze, "spec/hashie/trash_spec.rb".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/intridea/hashie".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.6.11".freeze
  s.summary = "Your friendly neighborhood hash toolkit.".freeze
  s.test_files = ["spec/hashie/clash_spec.rb".freeze, "spec/hashie/dash_spec.rb".freeze, "spec/hashie/extensions/coercion_spec.rb".freeze, "spec/hashie/extensions/deep_merge_spec.rb".freeze, "spec/hashie/extensions/indifferent_access_spec.rb".freeze, "spec/hashie/extensions/key_conversion_spec.rb".freeze, "spec/hashie/extensions/merge_initializer_spec.rb".freeze, "spec/hashie/extensions/method_access_spec.rb".freeze, "spec/hashie/hash_spec.rb".freeze, "spec/hashie/mash_spec.rb".freeze, "spec/hashie/trash_spec.rb".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>.freeze, ["~> 0.9.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_development_dependency(%q<guard>.freeze, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<growl>.freeze, [">= 0"])
    else
      s.add_dependency(%q<rake>.freeze, ["~> 0.9.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_dependency(%q<guard>.freeze, [">= 0"])
      s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
      s.add_dependency(%q<growl>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>.freeze, ["~> 0.9.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
    s.add_dependency(%q<guard>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<growl>.freeze, [">= 0"])
  end
end

